Package org.pgpainless.policy

# Enum Class Policy.SignerUserIdValidationLevel

java.lang.Object
java.lang.Enum<Policy.SignerUserIdValidationLevel>
org.pgpainless.policy.Policy.SignerUserIdValidationLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<Policy.SignerUserIdValidationLevel>`, `Constable`

Enclosing class:
  `Policy`

public static enum Policy.SignerUserIdValidationLevel extends Enum<Policy.SignerUserIdValidationLevel>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISABLED`
PGPainless will ignore `SignerUserID` subpackets on signature.
`STRICT`
PGPainless will verify `SignerUserID` subpackets in signatures strictly.

## Method Summary

Modifier and Type
Method
Description
`static Policy.SignerUserIdValidationLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Policy.SignerUserIdValidationLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRICT

public static final Policy.SignerUserIdValidationLevel STRICT
PGPainless will verify `SignerUserID` subpackets in signatures strictly. This means, that signatures with Signer's User-ID subpackets containing a value that does not match the signer key's user-id exactly, will be rejected. E.g. Signer's user-id "alice@pgpainless.org", User-ID: "Alice <alice@pgpainless.org>" does not match exactly and is therefore rejected.

### DISABLED

public static final Policy.SignerUserIdValidationLevel DISABLED
PGPainless will ignore `SignerUserID` subpackets on signature.

## Method Details

### values

public static Policy.SignerUserIdValidationLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Policy.SignerUserIdValidationLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null